On this page
No Headings
Notes:.
- API caller can send only 2 reminders in a day.
Oauth 2.0 authentication
Client CredentialsToken URL/api/oauth-proxyInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwriteThe ID of the draft invoice to delete.
^.*$0 <= length <= 2147483647application/json
The email or SMS notification that will be sent to the payer for reminder.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v2/invoicing/invoices/string/remind" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_STRING_MAX_LENGTH",
"description": "the value of a field is too long."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "The requested invoice is not associated with the requested user."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "CANNOT_REMIND_INVOICE",
"description": "You cannot remind an invoice which is in DRAFT status. Only UNPAID, SENT and PARTIALLY_PAID invoices can be reminded."
}
]
}{
"name": "RATE_LIMIT_REACHED",
"message": "Too many requests. Blocked due to rate limiting.",
"debug_id": "string"
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}The subject of the email that is sent as a notification to the recipient.Note: User-provided values for this field will not be honored and the subject will always be defaulted to a system-defined value.
^[\S\s]*$0 <= length <= 4000A note to the payer.Note: User-provided values for this field will not be honored and the note will always be defaulted to a system-defined value.
^[\S\s]*$0 <= length <= 4000Indicates whether to send a copy of the email to the merchant.
falseIndicates whether to send a copy of the email to the recipient.
trueAn array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
0 <= items <= 100